
// Eurobot13 Servo.h

#include "mbed.h"

class Servo{
    private:
    PwmOut PWM;
    
    public:
    Servo(PinName pin1) : PWM(pin1){
    }
    
    void operator()(float in){
        PWM = in;
    }
    
    void clockwise() { // full lock clockwise
        PWM = .135;
    }
    
    void anticlockwise() { // full lock anticlockwise
        PWM = .025;
    }
    
    void relax() { // servo applies no force
        PWM = 0;
    }

};